org.codehaus.groovy.ast.expr

## Class CastExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.CastExpression

    public class CastExpression
    extends Expression

Represents a type cast expression

Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`CastExpression(ClassNode type, Expression expression)`
`CastExpression(ClassNode type, Expression expression, boolean ignoreAutoboxing)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CastExpression` `asExpression(ClassNode type, Expression expression)`
`Expression` `getExpression()`
`java.lang.String` `getText()`
`boolean` `isCoerce()`
`boolean` `isIgnoringAutoboxing()`
`boolean` `isStrict()` If strict mode is true, then when the compiler generates a cast, it will disable Groovy casts and rely on a strict cast (CHECKCAST)
`void` `setCoerce(boolean coerce)`
`void` `setStrict(boolean strict)` If strict mode is true, then when the compiler generates a cast, it will disable Groovy casts and rely on a strict cast (CHECKCAST)
`void` `setType(ClassNode t)`
`java.lang.String` `toString()`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`getType, transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CastExpression

    public CastExpression(ClassNode type,
                          Expression expression)

#### CastExpression

    public CastExpression(ClassNode type,
                          Expression expression,
                          boolean ignoreAutoboxing)

### Method Detail

#### asExpression

    public static CastExpression asExpression(ClassNode type,
                                              Expression expression)

#### isIgnoringAutoboxing

    public boolean isIgnoringAutoboxing()

#### isCoerce

    public boolean isCoerce()

#### setCoerce

    public void setCoerce(boolean coerce)

#### isStrict

    public boolean isStrict()

If strict mode is true, then when the compiler generates a cast, it will disable Groovy casts and rely on a strict cast (CHECKCAST)

Returns:
  true if strict mode is enable

#### setStrict

    public void setStrict(boolean strict)

If strict mode is true, then when the compiler generates a cast, it will disable Groovy casts and rely on a strict cast (CHECKCAST)

Parameters:
  `strict` - strict mode

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### visit

    public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`

#### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

Description copied from class: `Expression`
Return a copy of the expression calling the transformer on any nested expressions

Specified by:
  `transformExpression` in class `Expression`

#### getText

    public java.lang.String getText()

Overrides:
  `getText` in class `ASTNode`

#### getExpression

    public Expression getExpression()

#### setType

    public void setType(ClassNode t)

Overrides:
  `setType` in class `Expression`